Skip to main content
GET
Python

Authorizations

x-api-key
string
header
required

Query Parameters

start_date
string<date-time> | null

Inclusive start of the window (ISO 8601 datetime with optional offset, e.g. 2026-08-01T00:00:00-04:00). Offset-aware values are converted to UTC; naive values are treated as UTC.

end_date
string<date-time> | null

Inclusive end of the window (ISO 8601 datetime with optional offset, e.g. 2026-08-01T23:59:59-04:00). Offset-aware values are converted to UTC; naive values are treated as UTC.

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
limit
integer
default:20

Items per page (max 100).

Required range: 1 <= x <= 100

Response

Successful Response

Paginated transactions for a vendor over a date range.

summary
TransactionsSummary · object
required

Aggregate transaction stats for the requested date range.

items
Transaction · object[]
required
page
integer
required

Current page (1-indexed).

limit
integer
required

Page size.

total_count
integer
required

Total matching transactions in the date range.

has_more
boolean
required

Whether more pages are available.

start_date
string<date-time>
required

Inclusive start of the resolved query window. Always returned with a UTC offset (Z); request values with other offsets are converted.

end_date
string<date-time>
required

Inclusive end of the resolved query window. Always returned with a UTC offset (Z); request values with other offsets are converted.